Description

It would be nice if Audacious kept a track/history of all played tracks in the following format:

Date started playing (Unix TS):Date stopped playing (Unix TS):Track ID (tag):Track URL

History

#1 - July 05, 2015 13:44 - Anonymous
Hi !

| did a small script to handle that, but it's a standalone script (in bash), you need to launch it along with audacious. It keeps and update in a text file
the informations, and use a popup to notify when a new song plays (not when changing songs). Better than nothing.

Maybe someone could make it as plugin or make it better.

If interessed in, | can post it here.

#2 - December 29, 2018 16:11 - Artem S. Tashkinov

- File audacious-history added

I'm using this workaround until we have this feature implemented.
The escape() routine is badly written but it was a quick dirty hack anyways.

This script has to be saved somewhere and then you need to add it to the Song Change plugin.

#3 - January 03, 2019 13:13 - Artem S. Tashkinov

- File audacious-history added

Here's an updated script which | checked against
%&""()+;

+ various Unicode characters and everything works as expected.
#4 - December 02, 2019 20:49 - John Lindgren

- Status changed from New to Rejected

No core developer has had time/interest to work on this in 4 years. Closing.

#5 - May 02, 2023 16:47 - Igor Kushnir

| have implemented a playback history plugin in https:/github.com/audaci

The implemented feature displays only album history, not individual song/track history as requested here. | would welcome a contribution of extending
the plugin to optionally track and display individual song history.

Files
audacious-history 1.32 KBDecember 29, 2018 Artem S. Tashkinov
audacious-history 1.02 KB January 03, 2019 Artem S. Tashkinov
https://github.com/audacious-media-player/audacious-plugins/pull/138
